Flarm Update 6.x

FLARM FIRMWARE UPDATE

Flarm

MODIFIED VERSION OF FLARM UPDATE MESSAGE RELEASED BY FLARM Technology GmbH (18-03-2015)

The scheduled and mandatory firmware update (version 6) has been released. The update is required for all FLARM-compatible designs. This includes Flarm-modules in LXNAV flightcomputersPowerFLARM and FLARM manufactured by LXNAV. All devices must be updated before the next flight!

The update is available now on this page of the Flarm-website at no cost. We also recommend an update to the obstacle database because these data change frequently.

If the update is not applied, the device will stop to operate after March 31, 2015 and display an error code or message.

Because of the improvements in this update, like Tracking Privacy, Stealth Mode, Frequency use, and Alert Zones (skydiver drop zones, RPAS zones, etc.), this has to be a mandatory update. More information about these and other changes is available in the Release Notes, which are published in connection with the firmware update.

Because of improvements to the radio protocol, the new firmware is not compatible with previous versions. This means that FLARM, PowerFLARM and 3rd party devices with version 6 will not see and/or issue collision warnings about non-updated devices, and vice versa. This is however only an issue until April 1, 2015, when any remaining not updated devices will cease to operate anyway. To ensure that all devices can communicate with each other until April 1, it's essential that they are updated with the new firmware version 6 before the next flight.

New update proces

Previously, updates were required every 1-4 years according to an announced schedule. This was however challenging for some aircraft owners and maintenance organizations, since there was only a short time span in which the update could be made.

In the future, every FLARM device needs to be updated with the latest firmware version at least once per year (rolling 365 days). You will now have much more flexibility with regards to when in the year the device is updated. This also means however that you may not be reminded of any updates in the future.

More information about the new update process is available on the Flarm-website under Support > Firmware updates.

Obstacle Database

Outdated obstacle database versions (OBS files) are obsolete and will no longer work. When the device is restarted after the firmware update, it will issue Error code B1 (see manual) if the old obstacle file is still in the device. Obstacle database and functionality extension licenses can be purchased here. The obstacle database is created from various sources monthly and it is recommended to frequently update the database in the Flarm-device. If you do not install an obstacle database you may receive warnings generated by your Flarm-device. If you do not wish to purchase an obstacle database you can install an empty obstacle database which prevents these warnings. The empty obstacle database can be downloaded here.